Bug 260115 - some character styles lost after save
Summary: some character styles lost after save
Status: RESOLVED FIXED
Alias: None
Product: calligrawords
Classification: Unclassified
Component: opendocument (show other bugs)
Version: unspecified
Platform: Mandriva RPMs Linux
: NOR major (vote)
Target Milestone: ---
Assignee: Calligra Words Bugs
URL:
Keywords: release_blocker
Depends on:
Blocks:
 
Reported: 2010-03-24 03:09 UTC by Andriy Rysin
Modified: 2011-12-07 13:22 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
only fist handful of lines of the same file (9.91 KB, application/octet-stream)
2011-10-26 13:25 UTC, Camilla Boemann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Faure 2010-12-16 00:29:44 UTC


---- Reported by arysin@gmail.com 2010-03-24 03:09:04 ----

Version:           2.1.81 (using KDE 4.4.1)
Compiler:          gcc 4.4.3 
OS:                Linux
Installed from:    Mandriva RPMs

Steps to reproduce:
1. Open document from http://r2u.org.ua/data/isum.odt
2. Check three styles applied to the test: KrymRusBold, KrymRusAux, KrymUkr
3. Save the file with some other filename
4. Open this newly saved file
5. Check that text that had KrymUkr style now is using Default

I am using kword 2.1.81 from Mandriva Cooker



--- Bug imported by faure@kde.org 2010-12-16 00:31  ---

This bug was previously known as bug 231962.

Comment 1 Camilla Boemann 2011-10-26 08:35:55 UTC
It's not possible to download the file and so not possible to fix
Comment 2 Andriy Rysin 2011-10-26 13:08:51 UTC
I've fixed the url and reopened the bug
Comment 3 Camilla Boemann 2011-10-26 13:24:23 UTC
Thanks, I can confirm
Comment 4 Camilla Boemann 2011-10-26 13:25:41 UTC
Created attachment 64887 [details]
only fist handful of lines of the same file
Comment 5 Camilla Boemann 2011-12-06 20:36:27 UTC
problem is in KoTextWriter::Private::saveCharacterStyle that returns an empty name
Comment 6 Camilla Boemann 2011-12-07 13:22:01 UTC
Git commit e66889d566e11c3b409ed6bcdbce5e37f7164314 by C. Boemann.
Committed on 07/12/2011 at 14:04.
Pushed by boemann into branch 'master'.

Fix saving of paragraphs missed saving the formatting of framents where
the block have more properties (non style) than the fragment

Took the opotunity to implement autoStyle method in KoCharacterStyle as
a followup on the style inheritance I did a couple of weeks ago

BUG:260115

M  +8    -15   libs/kotext/opendocument/KoTextWriter_p.cpp
M  +10   -0    libs/kotext/styles/KoCharacterStyle.cpp
M  +9    -0    libs/kotext/styles/KoCharacterStyle.h

http://commits.kde.org/calligra/e66889d566e11c3b409ed6bcdbce5e37f7164314